using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class SegmentationSaved : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsSaved",
                table: "Segmentation",
                type: "bit",
                nullable: false,
                defaultValue: false);

        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_SegmentBinding_Segment_SegmentId",
                table: "SegmentBinding");

            migrationBuilder.DropForeignKey(
                name: "FK_SegmentBinding_Segmentation_SegmentationId",
                table: "SegmentBinding");

            migrationBuilder.DropColumn(
                name: "IsSaved",
                table: "Segmentation");
        }
    }
}
